package com.red.circle.console.app.service.app.sys;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysWeekStarGroupAddParamCmd;
import com.red.circle.other.inner.model.cmd.sys.SysWeekStarGroupQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysWeekStarGroupDTO;

/**
 * 添加周星分组数据
 *
 * @author zongpubin on 2023/11/3
 */
public interface SysWeekStarGroupService {

  PageResult<SysWeekStarGroupDTO> getPage(SysWeekStarGroupQryCmd query);

  void addGroup(SysWeekStarGroupAddParamCmd param);

  void deleteAndAssociateGroup(Long id);
}
